import os


def get_env(key, default=None, required=False):
    """Wrapper for gathering env vars."""
    if required:
        assert key in os.environ, "Missing Environment Variable: %s" % key
    return os.environ.get(key, default)


class EnvConfig:
    """Wrap application configurations

    Attributes
    ----------
    DATABASE : str
        The specied desired database (default: sqlite)
    DATA_PATH : str
        The path where to store any resources (default: ./)
    """

    DATABASE = get_env("OVERSEER_DB", default="sqlite")
    DATA_PATH = get_env("OVERSEER_DATA_PATH", default="./")
